Package ru.nilsoft.tm

# Class TMCommand.hard_status_flags

java.lang.Object
ru.nilsoft.tm.TMCommand.hard_status_flags

Enclosing class:
  `TMCommand`

public static final class TMCommand.hard_status_flags extends Object
Флаги постоянного статуса контроллера ФН.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CTRL_MEMORY_FAIL`
  Бит в 1: Сбой контроля памяти.
  `static final byte`
  `FN_END`
  Бит в 1: ФН исчерпан.
  `static final byte`
  `FN_FAIL`
  Бит в 1: Сбой ФН.
  `static final byte`
  `FN_FULL`
  Бит в 1: ФН близок к концу.
  `static final byte`
  `FN_REG_END`
  Бит в 1: Количество перерегистраций ФН исчерпано.
  `static final byte`
  `FN_REGISTERED`
  Бит в 1: ФН зарегистрирован.
  `static final byte`
  `HARDWARE_FAIL`
  Бит в 1: Аппаратная ошибка контроллера.
  `static final byte`
  `SERIAL_SET`
  Бит в 1: Установлен серийный номер.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `hard_status_flags()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HARDWARE_FAIL

    public static final byte HARDWARE_FAIL
    Бит в 1: Аппаратная ошибка контроллера.
    See Also:
      - Constant Field Values

  - ### CTRL_MEMORY_FAIL

    public static final byte CTRL_MEMORY_FAIL
    Бит в 1: Сбой контроля памяти.
    See Also:
      - Constant Field Values

  - ### FN_FAIL

    public static final byte FN_FAIL
    Бит в 1: Сбой ФН.
    See Also:
      - Constant Field Values

  - ### FN_REGISTERED

    public static final byte FN_REGISTERED
    Бит в 1: ФН зарегистрирован.
    See Also:
      - Constant Field Values

  - ### FN_FULL

    public static final byte FN_FULL
    Бит в 1: ФН близок к концу.
    See Also:
      - Constant Field Values

  - ### FN_END

    public static final byte FN_END
    Бит в 1: ФН исчерпан.
    See Also:
      - Constant Field Values

  - ### FN_REG_END

    public static final byte FN_REG_END
    Бит в 1: Количество перерегистраций ФН исчерпано.
    See Also:
      - Constant Field Values

  - ### SERIAL_SET

    public static final byte SERIAL_SET
    Бит в 1: Установлен серийный номер.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### hard_status_flags

    public hard_status_flags()